> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# abonnement wijzigen

> factureringsplan wijzigen

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.nl.json POST /v1/public/accounts/{account_id}/billing/change-plan
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/billing/change-plan:
    post:
      tags:
        - public-accounts
        - public-billing
      summary: factureringsplan wijzigen
      description: Wijzig het factureringsplan van het account.
      operationId: >-
        change_public_billing_plan_v1_public_accounts__account_id__billing_change_plan_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingChangePlanRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicBillingPlanOperationResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validatiefout
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BillingChangePlanRequest:
      description: Klantaanvraagschema voor het wijzigen van een accountabonnementsplan.
      properties:
        effective_date:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Gevraagde ingangsdatum voor de planwijziging
          title: Ingangsdatum
        plan_id:
          description: Doelfactuurplan-ID
          enum:
            - smtp_per_mailbox
            - smtp_per_proxy
          title: Plan-id
          type: string
      required:
        - plan_id
      title: BillingChangePlanRequest
      type: object
    PublicBillingPlanOperationResponse:
      properties:
        account_status:
          anyOf:
            - type: string
            - type: 'null'
          description: Accountstatus na de bewerking
          title: Accountstatus
        effective_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Wanneer de factuurwijziging van kracht werd
          title: Effectief bij
        eligible:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Of het account in aanmerking kwam voor de bewerking
          title: Geschikt
        previous_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Vorige factuurplan-ID
          title: Vorig abonnement-ID
        status:
          description: Status van factureringsbewerking
          title: Status
          type: string
        target_plan_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Doelfactuurplan-ID
          title: Doelplan-ID
      required:
        - status
      title: PublicBillingPlanOperationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Locatie
          type: array
        msg:
          title: Bericht
          type: string
        type:
          title: Fouttype
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````